<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1ITransientExpression.html">ITransientExpression</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Catch::ITransientExpression Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="structCatch_1_1ITransientExpression.html">Catch::ITransientExpression</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html#a101c7db86c87eff93a8ff496720e6320">getResult</a>() const -&gt; bool</td><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html">Catch::ITransientExpression</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html#a101c7db86c87eff93a8ff496720e6320">getResult</a>() const -&gt; bool</td><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html">Catch::ITransientExpression</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html#a3b436e13a0a6d3522bbf70d4e31deb22">isBinaryExpression</a>() const -&gt; bool</td><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html">Catch::ITransientExpression</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html#a3b436e13a0a6d3522bbf70d4e31deb22">isBinaryExpression</a>() const -&gt; bool</td><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html">Catch::ITransientExpression</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html#aafe69572b7ed884e63ec81f58d4afd8c">ITransientExpression</a>(bool isBinaryExpression, bool result)</td><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html">Catch::ITransientExpression</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html#aafe69572b7ed884e63ec81f58d4afd8c">ITransientExpression</a>(bool isBinaryExpression, bool result)</td><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html">Catch::ITransientExpression</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html#a75ce48da824d514d08152d396abb28d8">m_isBinaryExpression</a></td><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html">Catch::ITransientExpression</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html#a4646e2b5e0156e913653ec3b9b60c942">m_result</a></td><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html">Catch::ITransientExpression</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html#aabe1889df9c6e639a24afb08d8a0fe9e">streamReconstructedExpression</a>(std::ostream &amp;os) const =0</td><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html">Catch::ITransientExpression</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html#aabe1889df9c6e639a24afb08d8a0fe9e">streamReconstructedExpression</a>(std::ostream &amp;os) const =0</td><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html">Catch::ITransientExpression</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html#aeadf426de589938c4964fe4068eeee77">~ITransientExpression</a>()</td><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html">Catch::ITransientExpression</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html#aeadf426de589938c4964fe4068eeee77">~ITransientExpression</a>()</td><td class="entry"><a class="el" href="structCatch_1_1ITransientExpression.html">Catch::ITransientExpression</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
